OpenZWave Library: OpenZWave Namespace Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Enumerations | Functions | Variables
OpenZWave Namespace Reference

## Namespaces
namespace | SimpleHTTPClient

## Classes
class | Alarm
| Implements COMMAND_CLASS_NOTIFICATION (0x71), a Z-Wave device command class. More...
class | ApplicationStatus
| Implements COMMAND_CLASS_APPLICATION_STATUS (0x22), a Z-Wave device command class. More...
class | Association
| Implements COMMAND_CLASS_ASSOCIATION (0x85), a Z-Wave device command class. More...
class | AssociationCommandConfiguration
| Implements COMMAND_CLASS_ASSOCIATION_COMMAND_CONFIGURATION (0x9b), a Z-Wave device command class. More...
class | BarrierOperator
| Implements COMMAND_CLASS_BARRIER_OPERATOR (0x66), a Z-Wave device command class. More...
class | Basic
| Implements COMMAND_CLASS_BASIC (0x20), a Z-Wave device command class. More...
class | BasicWindowCovering
| Implements COMMAND_CLASS_BASIC_WINDOW_COVERING (0x50), a Z-Wave device command class. More...
class | Battery
| Implements COMMAND_CLASS_BATTERY (0x80), a Z-Wave device command class. More...
class | Bitfield
class | CentralScene
| Implements COMMAND_CLASS_CENTRAL_SCENE (0x5B), a Z-Wave device command class. More...
class | ClimateControlSchedule
| Implements COMMAND_CLASS_CLIMATE_CONTROL_SCHEDULE (0x46), a Z-Wave device command class. More...
class | Clock
| Implements COMMAND_CLASS_CLOCK (0x81), a Z-Wave device command class. More...
class | Color
| Implements COMMAND_CLASS_COLOR (0x33), a Z-Wave device command class. More...
class | CommandClass
| Base class for all Z-Wave command classes. More...
class | CommandClasses
| Manages a map of command classes supported by a specific Z-Wave node. More...
struct | CompatOptionFlagDefintions
struct | CompatOptionFlagStorage
class | CompatOptionManager
class | Configuration
| Implements COMMAND_CLASS_CONFIGURATION (0x70), a Z-Wave device command class. More...
class | Controller
| Represents a USB Controller. More...
class | ControllerReplication
| Implements COMMAND_CLASS_CONTROLLER_REPLICATION (0x21), a Z-Wave device command class. More...
class | CRC16Encap
| Implements COMMAND_CLASS_CRC_16_ENCAP (0x56), a Z-Wave device command class. More...
class | DeviceResetLocally
| Implements COMMAND_CLASS_DEVICE_RESET_LOCALLY (0x5a), a Z-Wave device command class. More...
class | DNS
| Implements platform-independent DNS lookup Operations. More...
struct | DNSLookup
class | DNSThread
| the DNSThread provides Async DNS lookups for checking revision numbers of Config Files against the official database More...
class | DoorLock
| Implements COMMAND_CLASS_DOOR_LOCK (0x62), a Z-Wave device command class. More...
class | DoorLockLogging
| Implements COMMAND_CLASS_DOOR_LOCK_LOGGING (0x4C), a Z-Wave device command class. More...
class | Driver
| The Driver class handles communication between OpenZWave and a device attached via a serial port (typically a controller). More...
class | EnergyProduction
| Implements COMMAND_CLASS_ENERGY_PRODUCTION (0x90), a Z-Wave device command class. More...
class | Event
| Platform-independent definition of event objects. More...
class | FileOps
| Implements platform-independent File Operations. More...
class | Group
| Manages a group of devices (various nodes associated with each other). More...
class | Hail
| Implements COMMAND_CLASS_HAIL (0x82), a Z-Wave device command class. More...
class | HidController
| Interface for controllers that implement a HID emulation. More...
class | HttpClient
struct | HttpDownload
class | i_HttpClient
class | i_LogImpl
| A Abstract class to create a Custom Logging Method. More...
class | Indicator
| Implements COMMAND_CLASS_INDICATOR (0x87), a Z-Wave device command class. More...
struct | InstanceAssociation
class | LabelLocalizationEntry
class | Language
| Implements COMMAND_CLASS_LANGUAGE (0x89), a Z-Wave device command class. More...
class | Localization
class | Lock
| Implements COMMAND_CLASS_LOCK (0x76), a Z-Wave device command class. More...
struct | LockGuard
class | Log
| Implements a platform-independent log...written to the console and, optionally, a file. More...
class | Manager
| The main public interface to OpenZWave. More...
class | ManufacturerProprietary
| Implements COMMAND_CLASS_PROPRIETARY (0x91), a Z-Wave device command class. More...
class | ManufacturerSpecific
| Implements COMMAND_CLASS_MANUFACTURER_SPECIFIC (0x72), a Z-Wave device command class. More...
class | ManufacturerSpecificDB
| The _ManufacturerSpecificDB class handles the Config File Database that we use to configure devices. More...
class | Meter
| Implements COMMAND_CLASS_METER (0x32), a Z-Wave device command class. More...
class | MeterPulse
| Implements COMMAND_CLASS_METER_PULSE (0x35), a Z-Wave device command class. More...
class | Msg
| Message object to be passed to and from devices on the Z-Wave network. More...
class | MultiChannelAssociation
| Implements COMMAND_CLASS_MULTI_CHANNEL_ASSOCIATION (0x8E), a Z-Wave device command class. More...
class | MultiCmd
| Implements COMMAND_CLASS_MULTI_CMD (0x8f), a Z-Wave device command class. More...
class | MultiInstance
| Implements COMMAND_CLASS_MULTI_INSTANCE (0x60), a Z-Wave device command class. More...
class | Mutex
| Implements a platform-independent mutex–for serializing access to a shared resource. More...
class | Node
| The Node class describes a Z-Wave node object...typically a device on the Z-Wave network. More...
class | NodeNaming
| Implements COMMAND_CLASS_NODE_NAMING (0x77), a Z-Wave device command class. More...
class | NoOperation
| Implements COMMAND_CLASS_NO_OPERATION (0x00), a Z-Wave device command class. More...
class | Notification
| Provides a container for data sent via the notification callback handler installed by a call to Manager::AddWatcher. More...
class | NotificationCCTypes
class | Options
| Manages library options read from XML files or the command line. More...
class | OZWException
| Exception Handling Interface. More...
class | Powerlevel
| Implements COMMAND_CLASS_POWERLEVEL (0x73), a Z-Wave device command class. More...
class | ProductDescriptor
class | Proprietary
| Implements COMMAND_CLASS_PROPRIETARY (0x88), a Z-Wave device command class. More...
class | Protection
| Implements COMMAND_CLASS_PROTECTION (0x75), a Z-Wave device command class. More...
class | Ref
class | Scene
| Collection of ValueIDs to be treated as a unit. More...
class | SceneActivation
| Implements COMMAND_CLASS_SCENEACTIVATION (0x2B), a Z-Wave device command class. More...
class | Security
| Implements COMMAND_CLASS_SECURITY (0x98), a Z-Wave device command class. More...
class | SensorAlarm
| Implements COMMAND_CLASS_SENSOR_ALARM (0x9c), a Z-Wave device command class. More...
class | SensorBinary
| Implements COMMAND_CLASS_SENSOR_BINARY (0x30), a Z-Wave device command class. More...
class | SensorMultilevel
| Implements COMMAND_CLASS_SENSOR_MULTILEVEL (0x31), a Z-Wave device command class. More...
class | SerialController
| Interface for controllers that implement a Serial Interface (USB Serial Port Emulation) More...
class | SimpleAV
class | SimpleAVCommandItem
class | SoundSwitch
| Implements COMMAND_CLASS_SOUND_SWITCH (0x79), a Z-Wave device command class. More...
class | Stream
| Platform-independent definition of a circular buffer. More...
class | SwitchAll
| Implements COMMAND_CLASS_SWITCH_ALL (0x27), a Z-Wave device command class. More...
class | SwitchBinary
| Implements COMMAND_CLASS_SWITCH_BINARY (0x25), a Z-Wave device command class. More...
class | SwitchMultilevel
| Implements COMMAND_CLASS_SWITCH_MULTILEVEL (0x26), a Z-Wave device command class. More...
class | SwitchToggleBinary
| Implements COMMAND_CLASS_SWITCH_TOGGLE_BINARY (0x28), a Z-Wave device command class. More...
class | SwitchToggleMultilevel
| Implements COMMAND_CLASS_SWITCH_TOGGLE_MULTILEVEL (0x29), a Z-Wave device command class. More...
class | ThermostatFanMode
| Implements COMMAND_CLASS_THERMOSTAT_FAN_MODE (0x44), a Z-Wave device command class. More...
class | ThermostatFanState
| Implements COMMAND_CLASS_THERMOSTAT_FAN_STATE (0x45), a Z-Wave device command class. More...
class | ThermostatMode
| Implements COMMAND_CLASS_THERMOSTAT_MODE (0x40), a Z-Wave device command class. More...
class | ThermostatOperatingState
| Implements COMMAND_CLASS_THERMOSTAT_OPERATING_STATE (0x42), a Z-Wave device command class. More...
class | ThermostatSetpoint
| Implements COMMAND_CLASS_THERMOSTAT_SETPOINT (0x43), a Z-Wave device command class. More...
class | Thread
| Implements a platform-independent thread management class. More...
class | TimeParameters
| Implements COMMAND_CLASS_TIME_PARAMETERS (0x8B), a Z-Wave device command class. More...
class | Timer
| Timer SubClass for automatically registering/unregistering Timer Callbacks if the instance goes out of scope. More...
class | TimerThread
| The TimerThread class makes it possible to schedule events to happen at a certain time in the future. More...
class | TimeStamp
| Implements a platform-independent TimeStamp. More...
class | UserCode
| Implements COMMAND_CLASS_USER_CODE (0x63), a Z-Wave device command class. More...
class | Value
| Base class for values associated with a node. More...
class | ValueBitSet
| BitSet value sent to/received from a node. More...
class | ValueBool
| Boolean value sent to/received from a node. More...
class | ValueButton
| Button value. More...
class | ValueByte
| Byte value sent to/received from a node. More...
class | ValueDecimal
| Decimal value sent to/received from a node. More...
class | ValueID
| Provides a unique ID for a value reported by a Z-Wave device. More...
class | ValueInt
| Integer value sent to/received from a node. More...
class | ValueList
| List of values sent to/received from a node. More...
class | ValueLocalizationEntry
class | ValueRaw
| A collection of bytes sent to/received from a node. More...
class | ValueSchedule
| Schedule sent to/received from a node. More...
class | ValueShort
| Short value sent to/received from a node. More...
class | ValueStore
| Container that holds all of the values associated with a given node. More...
class | ValueString
| String value sent to/received from a node. More...
class | Version
| Implements COMMAND_CLASS_VERSION (0x86), a Z-Wave device command class. More...
class | Wait
| Platform-independent definition of Wait objects. More...
class | WakeUp
| Implements COMMAND_CLASS_WAKE_UP (0x84), a Z-Wave device command class. More...
class | ZWavePlusInfo
| Implements COMMAND_CLASS_ZWAVEPLUS_INFO (0x5E), a Z-Wave device command class. More...

## Typedefs
typedef struct OpenZWave::InstanceAssociation | InstanceAssociation

## Enumerations
enum | SecurityCmd { SecurityCmd_SupportedGet = 0x02 , SecurityCmd_SupportedReport = 0x03 , SecurityCmd_SchemeGet = 0x04 , SecurityCmd_SchemeReport = 0x05 , SecurityCmd_NetworkKeySet = 0x06 , SecurityCmd_NetworkKeyVerify = 0x07 , SecurityCmd_SchemeInherit = 0x08 , SecurityCmd_NonceGet = 0x40 , SecurityCmd_NonceReport = 0x80 , SecurityCmd_MessageEncap = 0x81 , SecurityCmd_MessageEncapNonceGet = 0xc1 }
enum | SecurityScheme { SecurityScheme_Zero = 0x00 }
enum | CompatOptionFlags { COMPAT_FLAG_GETSUPPORTED , COMPAT_FLAG_OVERRIDEPRECISION , COMPAT_FLAG_FORCEVERSION , COMPAT_FLAG_CREATEVARS , COMPAT_FLAG_REFRESHONWAKEUP , COMPAT_FLAG_BASIC_IGNOREREMAPPING , COMPAT_FLAG_BASIC_SETASREPORT , COMPAT_FLAG_BASIC_MAPPING , COMPAT_FLAG_COLOR_IDXBUG , COMPAT_FLAG_MCA_FORCEINSTANCES , COMPAT_FLAG_MI_MAPROOTTOENDPOINT , COMPAT_FLAG_MI_FORCEUNIQUEENDPOINTS , COMPAT_FLAG_MI_IGNMCCAPREPORTS , COMPAT_FLAG_MI_ENDPOINTHINT , COMPAT_FLAG_TSSP_BASE , COMPAT_FLAG_TSSP_ALTTYPEINTERPRETATION , COMPAT_FLAG_UC_EXPOSERAWVALUE , COMPAT_FLAG_VERSION_GETCLASSVERSION , COMPAT_FLAG_WAKEUP_DELAYNMI , STATE_FLAG_CCVERSION , STATE_FLAG_STATIC_REQUESTS , STATE_FLAG_AFTERMARK , STATE_FLAG_ENCRYPTED , STATE_FLAG_INNIF , STATE_FLAG_CS_SCENECOUNT , STATE_FLAG_CS_CLEARTIMEOUT , STATE_FLAG_CCS_CHANGECOUNTER , STATE_FLAG_COLOR_CHANNELS , STATE_FLAG_DOORLOCK_TIMEOUT , STATE_FLAG_DOORLOCK_INSIDEMODE , STATE_FLAG_DOORLOCK_OUTSIDEMODE , STATE_FLAG_DOORLOCK_TIMEOUTMINS , STATE_FLAG_DOORLOCK_TIMEOUTSECS , STATE_FLAG_DOORLOCKLOG_MAXRECORDS , STATE_FLAG_USERCODE_COUNT }
enum | CompatOptionFlagType { COMPAT_FLAG_TYPE_BOOL , COMPAT_FLAG_TYPE_BYTE , COMPAT_FLAG_TYPE_SHORT , COMPAT_FLAG_TYPE_INT }
enum | CompatOptionType { CompatOptionType_Compatibility , CompatOptionType_Discovery }
enum | LookupType { DNS_Lookup_ConfigRevision = 1 }
enum | DNSError { DNSError_None = 0 , DNSError_NotFound , DNSError_DomainError , DNSError_InternalError }
| Return codes for DNS lookups. More...
enum | LogLevel { LogLevel_Invalid , LogLevel_None , LogLevel_Always , LogLevel_Fatal , LogLevel_Error , LogLevel_Warning , LogLevel_Alert , LogLevel_Info , LogLevel_Detail , LogLevel_Debug , LogLevel_StreamDetail , LogLevel_Internal }
| Various LogLevels available to the Application. More...
enum | SecurityStrategy { SecurityStrategy_Essential = 0 , SecurityStrategy_Supported }

## Functions
string | ExtractString (uint8 const *_data, uint32 const _length)
| Extract a String from a Z-Wave Encoded Packet.
uint32 | ConvertUFT16ToUTF8 (uint16 _utf16, char *_buffer, uint32 pos)
| Convert from UTF16 to UTF8.
string | ToUpper (string const &_str)
string | ToLower (string const &_str)
void | split (std::vector< std::string > &lst, const std::string &input, const std::string &separators, bool remove_empty=true)
std::string & | trim (std::string &s)
void | PrintHex (std::string prefix, uint8_t const *data, uint32 const length)
string | PktToString (uint8 const *data, uint32 const length)
string | ozwdirname (string)
string | intToString (int x)
const char * | rssi_to_string (uint8 _data)
bool | GenerateAuthentication (uint8 const *_data, uint32 const _length, Driver *driver, uint8 const _sendingNode, uint8 const _receivingNode, uint8 *iv, uint8 *_authentication)
bool | EncyrptBuffer (uint8 *m_buffer, uint8 m_length, Driver *driver, uint8 const _sendingNode, uint8 const _receivingNode, uint8 const m_nonce[8], uint8 *e_buffer)
bool | createIVFromPacket_inbound (uint8 const *_data, uint8 const m_nonce[8], uint8 *iv)
bool | DecryptBuffer (uint8 *e_buffer, uint8 e_length, Driver *driver, uint8 const _sendingNode, uint8 const _receivingNode, uint8 const m_nonce[8], uint8 *m_buffer)
SecurityStrategy | ShouldSecureCommandClass (uint8 CommandClass)

## Variables
CompatOptionFlagDefintions | availableCompatFlags []
uint16_t | availableCompatFlagsCount = sizeof(availableCompatFlags) / sizeof(availableCompatFlags[0])
CompatOptionFlagDefintions | availableDiscoveryFlags []
uint16_t | availableDiscoveryFlagsCount = sizeof(availableDiscoveryFlags) / sizeof(availableDiscoveryFlags[0])
char const * | LogLevelString []

## Typedef Documentation

## ◆ InstanceAssociation

typedef struct OpenZWave::InstanceAssociation OpenZWave::InstanceAssociation

## Enumeration Type Documentation

## ◆ CompatOptionFlags

enum OpenZWave::CompatOptionFlags

Enumerator
COMPAT_FLAG_GETSUPPORTED |
COMPAT_FLAG_OVERRIDEPRECISION |
COMPAT_FLAG_FORCEVERSION |
COMPAT_FLAG_CREATEVARS |
COMPAT_FLAG_REFRESHONWAKEUP |
COMPAT_FLAG_BASIC_IGNOREREMAPPING |
COMPAT_FLAG_BASIC_SETASREPORT |
COMPAT_FLAG_BASIC_MAPPING |
COMPAT_FLAG_COLOR_IDXBUG |
COMPAT_FLAG_MCA_FORCEINSTANCES |
COMPAT_FLAG_MI_MAPROOTTOENDPOINT |
COMPAT_FLAG_MI_FORCEUNIQUEENDPOINTS |
COMPAT_FLAG_MI_IGNMCCAPREPORTS |
COMPAT_FLAG_MI_ENDPOINTHINT |
COMPAT_FLAG_TSSP_BASE |
COMPAT_FLAG_TSSP_ALTTYPEINTERPRETATION |
COMPAT_FLAG_UC_EXPOSERAWVALUE |
COMPAT_FLAG_VERSION_GETCLASSVERSION |
COMPAT_FLAG_WAKEUP_DELAYNMI |
STATE_FLAG_CCVERSION |
STATE_FLAG_STATIC_REQUESTS |
STATE_FLAG_AFTERMARK |
STATE_FLAG_ENCRYPTED |
STATE_FLAG_INNIF |
STATE_FLAG_CS_SCENECOUNT |
STATE_FLAG_CS_CLEARTIMEOUT |
STATE_FLAG_CCS_CHANGECOUNTER |
STATE_FLAG_COLOR_CHANNELS |
STATE_FLAG_DOORLOCK_TIMEOUT |
STATE_FLAG_DOORLOCK_INSIDEMODE |
STATE_FLAG_DOORLOCK_OUTSIDEMODE |
STATE_FLAG_DOORLOCK_TIMEOUTMINS |
STATE_FLAG_DOORLOCK_TIMEOUTSECS |
STATE_FLAG_DOORLOCKLOG_MAXRECORDS |
STATE_FLAG_USERCODE_COUNT |

## ◆ CompatOptionFlagType

enum OpenZWave::CompatOptionFlagType

Enumerator
COMPAT_FLAG_TYPE_BOOL |
COMPAT_FLAG_TYPE_BYTE |
COMPAT_FLAG_TYPE_SHORT |
COMPAT_FLAG_TYPE_INT |

## ◆ CompatOptionType

enum OpenZWave::CompatOptionType

Enumerator
CompatOptionType_Compatibility |
CompatOptionType_Discovery |

## ◆ LookupType

enum OpenZWave::LookupType

Enumerator
DNS_Lookup_ConfigRevision |

## ◆ SecurityCmd

enum OpenZWave::SecurityCmd

Enumerator
SecurityCmd_SupportedGet |
SecurityCmd_SupportedReport |
SecurityCmd_SchemeGet |
SecurityCmd_SchemeReport |
SecurityCmd_NetworkKeySet |
SecurityCmd_NetworkKeyVerify |
SecurityCmd_SchemeInherit |
SecurityCmd_NonceGet |
SecurityCmd_NonceReport |
SecurityCmd_MessageEncap |
SecurityCmd_MessageEncapNonceGet |

## ◆ SecurityScheme

enum OpenZWave::SecurityScheme

Enumerator
SecurityScheme_Zero |

## ◆ SecurityStrategy

enum OpenZWave::SecurityStrategy

Enumerator
SecurityStrategy_Essential |
SecurityStrategy_Supported |

## Function Documentation

## ◆ createIVFromPacket_inbound()

bool OpenZWave::createIVFromPacket_inbound | ( | uint8 const * | _data,
|  | uint8 const | m_nonce[8],
|  | uint8 * | iv
| ) |  |

## ◆ DecryptBuffer()

bool OpenZWave::DecryptBuffer | ( | uint8 * | e_buffer,
|  | uint8 | e_length,
|  | Driver * | driver,
|  | uint8 const | _sendingNode,
|  | uint8 const | _receivingNode,
|  | uint8 const | m_nonce[8],
|  | uint8 * | m_buffer
| ) |  |

## ◆ EncyrptBuffer()

bool OpenZWave::EncyrptBuffer | ( | uint8 * | m_buffer,
|  | uint8 | m_length,
|  | Driver * | driver,
|  | uint8 const | _sendingNode,
|  | uint8 const | _receivingNode,
|  | uint8 const | m_nonce[8],
|  | uint8 * | e_buffer
| ) |  |

## ◆ GenerateAuthentication()

bool OpenZWave::GenerateAuthentication | ( | uint8 const * | _data,
|  | uint32 const | _length,
|  | Driver * | driver,
|  | uint8 const | _sendingNode,
|  | uint8 const | _receivingNode,
|  | uint8 * | iv,
|  | uint8 * | _authentication
| ) |  |

## ◆ intToString()

string OpenZWave::intToString | ( | int | x | ) |

## ◆ ozwdirname()

string OpenZWave::ozwdirname | ( | string | m_path | ) |

## ◆ PktToString()

string OpenZWave::PktToString | ( | uint8 const * | data,
|  | uint32 const | length
| ) |  |

## ◆ PrintHex()

void OpenZWave::PrintHex | ( | std::string | prefix,
|  | uint8_t const * | data,
|  | uint32 const | length
| ) |  |

## ◆ rssi_to_string()

const char * OpenZWave::rssi_to_string | ( | uint8 | _data | ) |

## ◆ ShouldSecureCommandClass()

SecurityStrategy OpenZWave::ShouldSecureCommandClass | ( | uint8 | CommandClass | ) |

## ◆ split()

void OpenZWave::split | ( | std::vector< std::string > & | lst,
|  | const std::string & | input,
|  | const std::string & | separators,
|  | bool | remove_empty = `true`
| ) |  |

Split a String into a Vector, separated by separators

Parameters

  lst | the vector to store the results in
  input | the input string to split
  separators | a string containing a list of valid separators
  remove_empty | if after splitting a string, the any of the results are a empty string, should we preserve them or not

## ◆ ToLower()

string OpenZWave::ToLower | ( | string const & | _str | ) |

Convert a string to all lower-case.

Parameters

  _str | the string to be converted.

Returns
  the lower-case string.

See also
  ToUpper, Trim

## ◆ ToUpper()

string OpenZWave::ToUpper | ( | string const & | _str | ) |

Convert a string to all upper-case.

Parameters

  _str | the string to be converted.

Returns
  the upper-case string.

See also
  ToLower, Trim

## ◆ trim()

std::string & OpenZWave::trim | ( | std::string & | s | ) |

Trim Whitespace from the start and end of a string.

Parameters

  s | the string to trim

Returns
  the trimmed string

## Variable Documentation

## ◆ availableCompatFlags

CompatOptionFlagDefintions OpenZWave::availableCompatFlags[]

Initial value:
=
{
{ "GetSupported", COMPAT_FLAG_GETSUPPORTED, COMPAT_FLAG_TYPE_BOOL },
{ "OverridePrecision", COMPAT_FLAG_OVERRIDEPRECISION, COMPAT_FLAG_TYPE_BYTE },
{ "ForceVersion", COMPAT_FLAG_FORCEVERSION, COMPAT_FLAG_TYPE_BYTE },
{ "CreateVars", COMPAT_FLAG_CREATEVARS, COMPAT_FLAG_TYPE_BOOL },
{ "RefreshOnWakeup", COMPAT_FLAG_REFRESHONWAKEUP, COMPAT_FLAG_TYPE_BOOL },
{ "IgnoreMapping", COMPAT_FLAG_BASIC_IGNOREREMAPPING, COMPAT_FLAG_TYPE_BOOL },
{ "SetAsReport", COMPAT_FLAG_BASIC_SETASREPORT, COMPAT_FLAG_TYPE_BOOL },
{ "Mapping", COMPAT_FLAG_BASIC_MAPPING, COMPAT_FLAG_TYPE_BYTE },
{ "ColorIndexBug", COMPAT_FLAG_COLOR_IDXBUG, COMPAT_FLAG_TYPE_BOOL },
{ "ForceInstances", COMPAT_FLAG_MCA_FORCEINSTANCES, COMPAT_FLAG_TYPE_BOOL },
{ "MapRootToEndpoint", COMPAT_FLAG_MI_MAPROOTTOENDPOINT, COMPAT_FLAG_TYPE_BOOL },
{ "ForceUniqueEndpoints", COMPAT_FLAG_MI_FORCEUNIQUEENDPOINTS, COMPAT_FLAG_TYPE_BOOL },
{ "IgnoreMCCapReports", COMPAT_FLAG_MI_IGNMCCAPREPORTS, COMPAT_FLAG_TYPE_BOOL },
{ "EndpointHint", COMPAT_FLAG_MI_ENDPOINTHINT, COMPAT_FLAG_TYPE_BYTE },
{ "Base", COMPAT_FLAG_TSSP_BASE, COMPAT_FLAG_TYPE_BYTE },
{ "AltTypeInterpretation", COMPAT_FLAG_TSSP_ALTTYPEINTERPRETATION, COMPAT_FLAG_TYPE_BOOL },
{ "ExposeRawUserCodes", COMPAT_FLAG_UC_EXPOSERAWVALUE, COMPAT_FLAG_TYPE_BOOL },
{ "ClassGetVersionSupported", COMPAT_FLAG_VERSION_GETCLASSVERSION, COMPAT_FLAG_TYPE_BOOL },
{ "DelayNoMoreInfo", COMPAT_FLAG_WAKEUP_DELAYNMI, COMPAT_FLAG_TYPE_INT },
}
OpenZWave::COMPAT_FLAG_TSSP_ALTTYPEINTERPRETATION
@ COMPAT_FLAG_TSSP_ALTTYPEINTERPRETATION
Definition CompatOptionManager.h:55
OpenZWave::COMPAT_FLAG_MI_MAPROOTTOENDPOINT
@ COMPAT_FLAG_MI_MAPROOTTOENDPOINT
Definition CompatOptionManager.h:50
OpenZWave::COMPAT_FLAG_MI_FORCEUNIQUEENDPOINTS
@ COMPAT_FLAG_MI_FORCEUNIQUEENDPOINTS
Definition CompatOptionManager.h:51
OpenZWave::COMPAT_FLAG_MI_IGNMCCAPREPORTS
@ COMPAT_FLAG_MI_IGNMCCAPREPORTS
Definition CompatOptionManager.h:52
OpenZWave::COMPAT_FLAG_MCA_FORCEINSTANCES
@ COMPAT_FLAG_MCA_FORCEINSTANCES
Definition CompatOptionManager.h:49
OpenZWave::COMPAT_FLAG_VERSION_GETCLASSVERSION
@ COMPAT_FLAG_VERSION_GETCLASSVERSION
Definition CompatOptionManager.h:57
OpenZWave::COMPAT_FLAG_TSSP_BASE
@ COMPAT_FLAG_TSSP_BASE
Definition CompatOptionManager.h:54
OpenZWave::COMPAT_FLAG_MI_ENDPOINTHINT
@ COMPAT_FLAG_MI_ENDPOINTHINT
Definition CompatOptionManager.h:53
OpenZWave::COMPAT_FLAG_REFRESHONWAKEUP
@ COMPAT_FLAG_REFRESHONWAKEUP
Definition CompatOptionManager.h:44
OpenZWave::COMPAT_FLAG_CREATEVARS
@ COMPAT_FLAG_CREATEVARS
Definition CompatOptionManager.h:43
OpenZWave::COMPAT_FLAG_COLOR_IDXBUG
@ COMPAT_FLAG_COLOR_IDXBUG
Definition CompatOptionManager.h:48
OpenZWave::COMPAT_FLAG_BASIC_IGNOREREMAPPING
@ COMPAT_FLAG_BASIC_IGNOREREMAPPING
Definition CompatOptionManager.h:45
OpenZWave::COMPAT_FLAG_BASIC_SETASREPORT
@ COMPAT_FLAG_BASIC_SETASREPORT
Definition CompatOptionManager.h:46
OpenZWave::COMPAT_FLAG_GETSUPPORTED
@ COMPAT_FLAG_GETSUPPORTED
Definition CompatOptionManager.h:40
OpenZWave::COMPAT_FLAG_OVERRIDEPRECISION
@ COMPAT_FLAG_OVERRIDEPRECISION
Definition CompatOptionManager.h:41
OpenZWave::COMPAT_FLAG_UC_EXPOSERAWVALUE
@ COMPAT_FLAG_UC_EXPOSERAWVALUE
Definition CompatOptionManager.h:56
OpenZWave::COMPAT_FLAG_WAKEUP_DELAYNMI
@ COMPAT_FLAG_WAKEUP_DELAYNMI
Definition CompatOptionManager.h:58
OpenZWave::COMPAT_FLAG_BASIC_MAPPING
@ COMPAT_FLAG_BASIC_MAPPING
Definition CompatOptionManager.h:47
OpenZWave::COMPAT_FLAG_TYPE_INT
@ COMPAT_FLAG_TYPE_INT
Definition CompatOptionManager.h:82
OpenZWave::COMPAT_FLAG_TYPE_BYTE
@ COMPAT_FLAG_TYPE_BYTE
Definition CompatOptionManager.h:80
OpenZWave::COMPAT_FLAG_TYPE_BOOL
@ COMPAT_FLAG_TYPE_BOOL
Definition CompatOptionManager.h:79

## ◆ availableCompatFlagsCount

uint16_t OpenZWave::availableCompatFlagsCount = sizeof(availableCompatFlags) / sizeof(availableCompatFlags[0])

## ◆ availableDiscoveryFlags

CompatOptionFlagDefintions OpenZWave::availableDiscoveryFlags[]

Initial value:
=
{
{ "CCVersion", STATE_FLAG_CCVERSION, COMPAT_FLAG_TYPE_BYTE },
{ "StaticRequests", STATE_FLAG_STATIC_REQUESTS, COMPAT_FLAG_TYPE_BYTE },
{ "AfterMark", STATE_FLAG_AFTERMARK, COMPAT_FLAG_TYPE_BOOL },
{ "Encrypted", STATE_FLAG_ENCRYPTED, COMPAT_FLAG_TYPE_BOOL },
{ "InNif", STATE_FLAG_INNIF, COMPAT_FLAG_TYPE_BOOL },
{ "SceneCount", STATE_FLAG_CS_SCENECOUNT, COMPAT_FLAG_TYPE_BYTE },
{ "ClearTimeout", STATE_FLAG_CS_CLEARTIMEOUT, COMPAT_FLAG_TYPE_INT },
{ "ChangeCounter", STATE_FLAG_CCS_CHANGECOUNTER, COMPAT_FLAG_TYPE_BYTE },
{ "Channels", STATE_FLAG_COLOR_CHANNELS, COMPAT_FLAG_TYPE_SHORT},
{ "TimeOut", STATE_FLAG_DOORLOCK_TIMEOUT, COMPAT_FLAG_TYPE_BYTE },
{ "InsideMode", STATE_FLAG_DOORLOCK_INSIDEMODE, COMPAT_FLAG_TYPE_BYTE },
{ "OutsideMode", STATE_FLAG_DOORLOCK_OUTSIDEMODE, COMPAT_FLAG_TYPE_BYTE },
{ "TimeOutMins", STATE_FLAG_DOORLOCK_TIMEOUTMINS, COMPAT_FLAG_TYPE_BYTE },
{ "TImeOutSecs", STATE_FLAG_DOORLOCK_TIMEOUTSECS, COMPAT_FLAG_TYPE_BYTE },
{ "MaxRecords", STATE_FLAG_DOORLOCKLOG_MAXRECORDS, COMPAT_FLAG_TYPE_BYTE },
{ "Count", STATE_FLAG_USERCODE_COUNT, COMPAT_FLAG_TYPE_BYTE }
}
OpenZWave::STATE_FLAG_STATIC_REQUESTS
@ STATE_FLAG_STATIC_REQUESTS
Definition CompatOptionManager.h:60
OpenZWave::STATE_FLAG_DOORLOCKLOG_MAXRECORDS
@ STATE_FLAG_DOORLOCKLOG_MAXRECORDS
Definition CompatOptionManager.h:73
OpenZWave::STATE_FLAG_DOORLOCK_TIMEOUT
@ STATE_FLAG_DOORLOCK_TIMEOUT
Definition CompatOptionManager.h:68
OpenZWave::STATE_FLAG_INNIF
@ STATE_FLAG_INNIF
Definition CompatOptionManager.h:63
OpenZWave::STATE_FLAG_DOORLOCK_TIMEOUTMINS
@ STATE_FLAG_DOORLOCK_TIMEOUTMINS
Definition CompatOptionManager.h:71
OpenZWave::STATE_FLAG_DOORLOCK_OUTSIDEMODE
@ STATE_FLAG_DOORLOCK_OUTSIDEMODE
Definition CompatOptionManager.h:70
OpenZWave::STATE_FLAG_DOORLOCK_TIMEOUTSECS
@ STATE_FLAG_DOORLOCK_TIMEOUTSECS
Definition CompatOptionManager.h:72
OpenZWave::STATE_FLAG_CCS_CHANGECOUNTER
@ STATE_FLAG_CCS_CHANGECOUNTER
Definition CompatOptionManager.h:66
OpenZWave::STATE_FLAG_CCVERSION
@ STATE_FLAG_CCVERSION
Definition CompatOptionManager.h:59
OpenZWave::STATE_FLAG_USERCODE_COUNT
@ STATE_FLAG_USERCODE_COUNT
Definition CompatOptionManager.h:74
OpenZWave::STATE_FLAG_CS_SCENECOUNT
@ STATE_FLAG_CS_SCENECOUNT
Definition CompatOptionManager.h:64
OpenZWave::STATE_FLAG_ENCRYPTED
@ STATE_FLAG_ENCRYPTED
Definition CompatOptionManager.h:62
OpenZWave::STATE_FLAG_COLOR_CHANNELS
@ STATE_FLAG_COLOR_CHANNELS
Definition CompatOptionManager.h:67
OpenZWave::STATE_FLAG_CS_CLEARTIMEOUT
@ STATE_FLAG_CS_CLEARTIMEOUT
Definition CompatOptionManager.h:65
OpenZWave::STATE_FLAG_DOORLOCK_INSIDEMODE
@ STATE_FLAG_DOORLOCK_INSIDEMODE
Definition CompatOptionManager.h:69
OpenZWave::COMPAT_FLAG_TYPE_SHORT
@ COMPAT_FLAG_TYPE_SHORT
Definition CompatOptionManager.h:81

## ◆ availableDiscoveryFlagsCount

uint16_t OpenZWave::availableDiscoveryFlagsCount = sizeof(availableDiscoveryFlags) / sizeof(availableDiscoveryFlags[0])

## ◆ LogLevelString

char const * OpenZWave::LogLevelString
| extern

Initial value:
=
{
"Invalid",
"None",
"Always",
"Fatal",
"Error",
"Warning",
"Alert",
"Info",
"Detail",
"Debug",
"StreamDetail",
"Internal"
}